## 1.2.3

This release comes with a first default editor plugin and significant improvements for
peak-memory use.

It is now possible to debug editor plugins using Chrome's Node Inspector, and plugins
are more conveniently managed in the new "Plugins" view.

### Changelog

**Editor**
- Improve and fix handling of unicode characters in project, install and application paths
- Fix unicode characters in search fields
- Add secure default editor plugins
- Asset Browser: Add icons for more audio file formats
- Resources View: Fix crash with disabled items
- Improve error messages from plugins
- Add new Plugin View to manage plugins
- Add node inspector support for debugging plugin code
- Fix editor creating a empty version shortcut file in project directories
- Allow clearing shortcut assignments
- Fix single-channel uncompressed textures
- Support importing any assets with `--import`, not just scene files
- Fix crash when `maxShadows` is decreased
- Fix frustum culling on shadow batches when using multidraw
- Allow interlocking scale axis for uniform scaling
- Improve Linux package distribution support and setup ease

**Runtime**
- Stream scenes using streaming fetches, reducing peak memory usage during loading and reducing load time
- Fix alpha materials when cloning materials

**Engine**
- Fix object/component ID reuse when appending a scene after deleting an object

**JavaScript/TypeScript API**
- Fix `Prefab.childrenCount` returning count of root scene instead of the prefab's child count
- Allow inheriting properties with `static InheritProperties` from component classes that have no `static TypeName` set

**Plugins**
- Publish: New plugin to one-click publish projects to Wonderland Cloud.

**Plugin API**
- Add `tools.openBrowser`
